﻿''
'' WindowsFormsVB
''
'' Copyright (c) 2016 http://www.curict.com
'' This software is released under the MIT License, see LICENSE.txt.
''

Public Class Form1

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ' 1.DataGridViewColumnオブジェクトを生成
        Dim textColumn As DataGridViewTextBoxColumn = New DataGridViewTextBoxColumn()

        ' 2.セルに表示するデータソースの指定(DataRowの列名や、独自クラスのプロパティ名を指定)
        textColumn.DataPropertyName = "col1"

        ' 3.ヘッダーのテキスト
        textColumn.HeaderText = "データ"

        ' 4.列の表示／非表示
        textColumn.Visible = True

        ' 5.列幅
        textColumn.Width = 200

        ' 6.読み取り専用
        textColumn.ReadOnly = False

        ' 7.ユーザーによる列幅の変更可否
        textColumn.Resizable = DataGridViewTriState.True

        ' 8.列を追加
        Me.DataGridView1.Columns.Add(textColumn)

        ' ここから、データグリッドビューの設定
        ' 9.列の自動生成をオフに
        Me.DataGridView1.AutoGenerateColumns = False

        ' データグリッドビューにデータを渡す
        Dim dataTable As DataTable = Me.MakeDataTable()
        Me.DataGridView1.DataSource = dataTable
    End Sub

    ''' <summary>
    ''' テスト用のデータテーブルを作成
    ''' </summary>
    Private Function MakeDataTable() As DataTable
        Dim dataTable As New DataTable
        dataTable.Columns.Add("col1")
        dataTable.Columns.Add("col2")
        dataTable.Columns.Add("col3")
        For i As Integer = 0 To 5
            Dim row As DataRow = dataTable.NewRow
            row("col1") = "data" + i.ToString
            row("col2") = "data" + i.ToString
            row("col3") = "data" + i.ToString
            dataTable.Rows.Add(row)
        Next
        Return dataTable
    End Function
End Class
